Get inventory state
Returns the current state of the bot's open container/inventory. Includes layout information, slot contents, and carried item. The bot must be online with a valid player.
Returns the current state of the bot's open container/inventory. Includes layout information, slot contents, and carried item. The bot must be online with a valid player.
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The UUID of the SoulFire instance containing the bot.
uuidThe profile UUID of the bot to get inventory state for.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/bots/:bot_id/inventory"{
"layout": {
"title": "string",
"regions": [
{
"id": "string",
"label": "string",
"start_index": 0,
"slot_count": 0,
"columns": 0,
"type": "SLOT_REGION_NORMAL"
}
],
"total_slots": 0,
"buttons": [
{
"button_id": 0,
"label": "string",
"icon_item_id": "string",
"description": "string",
"disabled": true,
"selected": true
}
],
"container_type": "string",
"text_inputs": [
{
"id": "string",
"label": "string",
"current_value": "string",
"max_length": 0,
"placeholder": "string"
}
],
"book_pages": [
{
"page_number": 0,
"content": "string"
}
],
"current_book_page": 0
},
"slots": [
{
"slot": 0,
"item_id": "string",
"count": 0,
"display_name": "string"
}
],
"carried_item": {
"slot": 0,
"item_id": "string",
"count": 0,
"display_name": "string"
},
"selected_hotbar_slot": 0
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}How is this page?
Get dialog GET
Returns the currently displayed server dialog (Minecraft 1.21.6+). Dialogs are server-sent UI screens for custom interactions. Returns empty response if no dialog is being shown. Does not require the bot to be online (but dialog will be absent).
Mouse click POST
Simulates a mouse click in the game world. Left click: attack entity or start breaking block. Right click: use item or interact with entity/block. The bot must be online with valid player, level, and gameMode.